<?php
class eventclass_report_center5  extends TableEventsBase {
	
	function init() {
		$this->events = array(
	 
);
		$this->fieldValues = array(
	'filterLimit' => array(
		 
	),
	'mapIcon' => array(
		 
	),
	'viewCustom' => array(
		'print' => array(
			'view' => true 
		) 
	),
	'lookupWhere' => array(
		 
	),
	'viewFileText' => array(
		 
	),
	'defaultValue' => array(
		 
	),
	'autoUpdateValue' => array(
		 
	),
	'uploadFolder' => array(
		 
	),
	'viewPluginInit' => array(
		 
	),
	'editPluginInit' => array(
		 
	) 
);
			}
	
	public function custom_print_vfview( $value, $data ) {
	$value =
    "<a target='_blank' href='" .
    $_SESSION["path"] .
    "frameset?__report=" . rawurlencode($data["filename"]) .
    "&ea=" . rawurlencode($_SESSION["ea"]) .
    "&__dpi=96" .
    "&__format=pdf" .
    "&__pageoverflow=2" .
    "&__overwrite=false'>" .
    "Open Report" .
    "</a>";;
return $value;
}	

}


?>